> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getUnProcessedPayPeriod

> 
The `getUnProcessedPayPeriod` API retrieves pay periods that have not yet been processed for payroll.

### What it does:

- Returns pay periods that have not completed processing
- Provides pay period details for periods awaiting payroll processing including key dates and deadline to run payroll

### Notes:
- Used to identify pay periods that are available for processing with `initiatePayroll`
- Returns payPeriods that are **submitted** but not yet paid out, and payPeriods that are editable
- Uses optional **workerType** to filter by W2 or 1099-NEC or can be used to return both



## OpenAPI

````yaml get /reports#getUnProcessedPayPeriod
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports#getUnProcessedPayPeriod:
    get:
      tags: []
      summary: getUnProcessedPayPeriod
      description: >-

        The `getUnProcessedPayPeriod` API retrieves pay periods that have not
        yet been processed for payroll.


        ### What it does:


        - Returns pay periods that have not completed processing

        - Provides pay period details for periods awaiting payroll processing
        including key dates and deadline to run payroll


        ### Notes:

        - Used to identify pay periods that are available for processing with
        `initiatePayroll`

        - Returns payPeriods that are **submitted** but not yet paid out, and
        payPeriods that are editable

        - Uses optional **workerType** to filter by W2 or 1099-NEC or can be
        used to return both
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                workerType:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getUnProcessedPayPeriod
              companyId: 2DFCA586-C2D4-4FD7-B823-063F2575A5E7
              workerType: W2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  unprocessedPayPeriods:
                    type: array
                    items:
                      type: object
                      properties:
                        payPeriodId:
                          type: string
                        payPeriod:
                          type: string
                        payPeriodType:
                          type: string
                        payBeginDate:
                          type: string
                        payEndDate:
                          type: string
                        payDate:
                          type: string
                        deadLineToRunPayroll:
                          type: string
                        workerType:
                          type: string
                      required:
                        - payPeriodId
                        - payPeriod
                        - payPeriodType
                        - payBeginDate
                        - payEndDate
                        - payDate
                        - deadLineToRunPayroll
                        - workerType
                required:
                  - unprocessedPayPeriods
              example:
                unprocessedPayPeriods:
                  - payPeriodId: 5E603770-184B-4AB3-B220-0733F2719542
                    payPeriod: 02/07/2025 - 03/20/2025
                    payPeriodType: Missing
                    payBeginDate: '2025-02-07'
                    payEndDate: '2025-03-20'
                    payDate: '2025-02-27'
                    deadLineToRunPayroll: '2025-02-25'
                    workerType: W2
                  - payPeriodId: 4FA59BD4-98CE-4E03-A46F-F5CAA9DB0E3D
                    payPeriod: 05/28/2025 - 06/03/2025
                    payPeriodType: Regular
                    payBeginDate: '2025-05-28'
                    payEndDate: '2025-06-03'
                    payDate: '2025-06-04'
                    deadLineToRunPayroll: '2025-06-02'
                    workerType: W2
                  - payPeriodId: 436547C5-5815-4663-B994-F817D3980AB0
                    payPeriod: 07/23/2025 - 07/29/2025
                    payPeriodType: Regular
                    payBeginDate: '2025-07-23'
                    payEndDate: '2025-07-29'
                    payDate: '2025-08-01'
                    deadLineToRunPayroll: '2025-07-30'
                    workerType: W2
                  - payPeriodId: 8A19FBA9-8323-473F-8293-BF1BD7C92721
                    payPeriod: 07/23/2025 - 07/29/2025
                    payPeriodType: Regular
                    payBeginDate: '2025-07-23'
                    payEndDate: '2025-07-29'
                    payDate: '2025-08-01'
                    deadLineToRunPayroll: '2025-07-30'
                    workerType: W2
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid WorkerType
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````